<?php
/*
Template Name: Index Page
*/
?>
<?php get_header(); ?>

<div id="content">
	<div id="content-wrapper">

	<?php if (have_posts()) : ?>

		<div class="post-group post-group-index">
			<div class="post-group-title post-group-index-title">
				<h2><span>Recent Posts</span></h2>
			</div>
	
	<?php $count = 1; ?>
	<?php $direc = 'l'; ?>
	<?php while (have_posts()) : ?>
		<?php the_post(); ?>
			<div class="post post-index <?php echo $count < 3 ? 'post-index-wide' : ('post-index-narrow ' . 'post-index-narrow-' . $direc)  ; ?>" id="post-<?php the_ID(); ?>">
				<?php
					$w = PADD_HOME_THUMB_2_W;
					$h = PADD_HOME_THUMB_2_H;
					$def = get_template_directory_uri() . '/images/thumbnail-2.jpg';
					if ($count < 3) {
						$w = PADD_HOME_THUMB_1_W;
						$h = PADD_HOME_THUMB_1_H;
						$def = get_template_directory_uri() . '/images/thumbnail-1.jpg';
					}
					$img = padd_theme_get_thumbnail('paddimage',$def,$w,$h);
				?>
				<a class="header" href="<?php the_permalink() ?>"><img class="header" src="<?php echo $img; ?>" alt="<?php the_title(); ?>" /></a>
				<div class="post-title">
					<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
					<?php if ($count < 3) : ?>
					<p>By <?php the_author_posts_link(); ?> | Published on <?php the_time('F j, Y') ?> at <?php the_category(', '); ?></p>
					<?php endif; ?>
				</div>
				<div class="post-entry">
					<?php padd_theme_content($count < 3 ? 400 : 300); ?>
				</div>		
				<div class="post-meta">
					<ul>
						<li class="other readmore"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">Read More</a></li>
						<li class="other comments"><a href="<?php comments_link(); ?>"><span class="l"><span class="r"><span class="c"><?php comments_number('0 comments','1 comment', '% comments'); ?></span></span></span></a></li>
					</ul>
				</div>
			</div>
		<?php 
			if ($count >= 3) {
				if ($direc == 'l') {
					$direc = 'r';
				} else {
					$direc = 'l';
				}
			}
			$count++; 
		?>
	<?php endwhile; ?>
			<div class="clearer"></div>
		</div>

		<div class="post-navi">
			<?php
				if (function_exists('wp_pagenavi')) {
					wp_pagenavi();
				} else {
			?>
			<div class="post-navi-simple">
				<p>
					<span class="align-l"><?php next_posts_link('&laquo; Older Entries') ?></span>
					<span class="divider">|</span>
					<span class="align-r"><?php previous_posts_link('Newer Entries &raquo;') ?></span>
				</p>
			</div>
			<?php
				}
			?>
		</div>

<?php else : ?>

		<div class="post-group">
			<div class="post post-error">
				<div class="post-title">
					<h2>Not Found</h2>
				</div>
				<div class="post-entry">
					<p>Sorry, but you are looking for something that isn't here.</p>
				</div>
			</div>
		</div>

<?php endif; ?>

	</div>
</div>


<?php get_sidebar(); ?>

<div class="clearer"></div>	
		
<?php get_footer(); ?>